oracle.xml.xquery

## Class OXQFunctionEvaluator

- java.lang.Object
- - oracle.xml.xquery.OXQFunctionEvaluator

    public abstract class OXQFunctionEvaluator
    extends java.lang.Object

Extensions of this can be used to implement XQuery external functions. Users may return a class that extends this from an `entity resolver`.

Since:
  12.1
See Also:
  `OXQEntityKind.EXTERNAL_FUNCTION`, `OXQEntity`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract XQSequence` `evaluate(OXQFunctionContext context, XQSequence[] params)` Called at runtime when the external function is invoked.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### evaluate

    public abstract XQSequence evaluate(OXQFunctionContext context,
                                        XQSequence[] params)
                                 throws XQException

Called at runtime when the external function is invoked.

Parameters:
  `context` - provides facilities that may be useful to the external function implementation
  `params` - input parameter bindings for the external function call
Returns:
  the result of invoking the external function
Throws:
  `XQException`

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.